Uploaded image for project: 'ZABBIX BUGS AND ISSUES'
  1. ZABBIX BUGS AND ISSUES
  2. ZBX-13237

Add to support mbed TLS 2.1.x encryption backend

    XMLWordPrintable

Details

    • Patch request
    • Status: Closed
    • Trivial
    • Resolution: Change request declined
    • 3.0.13
    • None
    • Agent (G), Proxy (P), Server (S)
    • All encryption supported OS.
      At least I checked on Xubuntu 16.04
    • Team A
    • 8

    Description

      Add to support mbed TLS 2.1.x encryption backend

      Hi

      As you know, Zabbix 3.0.x and later support encrypted communication.
      Zabbix currently support following encryption backends:

      • OpenSSL
      • GnuTLS
      • mbed TLS (only 1.3.x)

      But mbed TLS 1.3.x will drop to support by ARM soon
      https://tls.mbed.org/tech-updates/releases/mbedtls-2.6.0-2.1.9-and-1.3.21-released

      So, I made the patch to support mbed TLS 2.1.x.

      This patch adds new "configure" script option:
      --with-mbedtls21[=DIR]

      Internally, adding a new preprocessor define (HAVE_MBEDTLS21) and keeping mbed TLS 1.3.x support (HAVE_POLARSSL)

      If they keep API compatibility, It probably works with mbed TLS 2.x branch (eg: 2.6.0).

      This patch is for "branches/3.0" revision 74336.

      Attachments

        Activity

          People

            zabbix.dev Zabbix Development Team
            hiroki.ishii Hiroki Ishii
            Votes:
            0 Vote for this issue
            Watchers:
            6 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: